#pragma semicolon 1
#pragma ctrlchar '\'

#include <amxmodx>
#include <amxmisc>
#include <engine>
#include <fakemeta>
#include <hamsandwich>
#include <xs>
#include <fun>

#define PLUGIN "SR"
#define VERSION "0.1"
#define AUTHOR "D-AIRY"

public plugin_init() 
{
	register_plugin(PLUGIN, VERSION, AUTHOR);

	register_concmd("satchel_clear", "remove_satchelsf");
	register_concmd("tripmine_clear", "remove_tripminef");
	set_task(180.0, "remove__task");
}

public remove__task()
{
	remove_satchels(false);
	remove_tripmine(false);
	set_task(180.0, "remove__task");
}

public remove_satchelsf()
{
	remove_satchels(true);
}

public remove_tripminef()
{
	remove_tripmine(true);
}


public remove_satchels(full)
{
	new ent = -1;
	// new i = 0;
	while((ent = find_ent_by_class(ent, "monster_satchel")))
	{
		if(random_num(0, 9) > 5 && !full)
		{
			continue;
		}
		server_print("S: %d", ent);
		new id = -1;
		while(!is_user_connected(id) && id <= 32){id++;}
		// if(id <= 32)
		// {
			force_use(id, ent);
		// }
		// remove_entity(ent);
	}
	
}

public remove_tripmine(full)
{
	new ent = -1;
	while((ent = find_ent_by_class(ent, "monster_tripmine")))
	{
		if(random_num(0, 9) > 5 && !full)
		{
			continue;
		}
		server_print("S: %d", ent);
		new id = -1;
		while(!is_user_connected(id) && id <= 32){id++;}
		ExecuteHamB(Ham_TakeDamage, ent, id, id, 100.0, DMG_ENERGYBEAM); 
		// remove_entity(ent);
	}
	
}